
Redmine - Feature #30118

Ruby 2.6 support

2018-12-07 08:15 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 4.0.1   

Resolution: Fixed   

Description

Ruby 2.6 is going to be released on 2018-12-25.

https://bugs.ruby-lang.org/projects/ruby-trunk/roadmap#2.6

Related issues:

Related to Redmine - Patch #30241: Update nokogiri gem (~> 1.10.0) Closed

Related to Redmine - Patch #30420: Update pg gem (~> 1.1.4) Closed

Related to Redmine - Patch #38122: Remove Bundler from requirements Closed

Copied to Redmine - Feature #31500: Ruby 2.7 support Closed

Associated revisions

Revision 17696 - 2018-12-08 06:51 - Go MAEDA

Don't explicitly install csv gem in Ruby 2.6 (#30118).

Redmine installs csv gem since r17245 as a workaround for a bug of csv 1.0.0 which is bundled with Ruby 2.5 (see #28112). But in Ruby 2.6,

installing the gem is not necessary because the bundled csv gem was updated to 3.0.

Revision 17706 - 2018-12-09 03:14 - Go MAEDA

Ruby 2.6: Don't explicitly install rdoc gem (#30118).

Revision 17820 - 2019-01-19 12:49 - Jean-Philippe Lang

Merged r17706 to 4.0-stable (#30118).

History

#1 - 2018-12-07 09:06 - Go MAEDA

The current trunk r17686 passed tests (but I skipped LDAP and rmagick tests) in ruby 2.6.0preview2.

#2 - 2018-12-07 09:37 - Marius BĂLTEANU

Go MAEDA wrote:

The current trunk r17686 passed tests (but I skipped LDAP and rmagick tests) in ruby 2.6.0preview2.

I made a branch on the GitLab CI to track the test results until Ruby 2.6 is released.

Branch: https://gitlab.com/marius-balteanu/redmine/tree/feature/ruby_2.6

Test Results: https://gitlab.com/marius-balteanu/redmine/-/jobs/131233825

#3 - 2018-12-09 10:34 - Jean-Philippe Lang

ruby2.6-rc1 is added to the CI server: http://www.redmine.org/builds

#4 - 2018-12-10 14:46 - Go MAEDA

- Target version changed from Candidate for next major release to 4.0.1

I think we can support Ruby 2.6 in Redmine 4.0.1.

#5 - 2018-12-28 02:49 - Go MAEDA
- Assignee set to Jean-Philippe Lang

All tests passed with Ruby 2.6.0p0 on my environment.

I think we can close this issue if Ruby 2.6 on the CI server is updated from 2.6.0preview2 to 2.6.0 and r17706 is merged to 4.0-stable.

#6 - 2019-01-08 00:36 - Go MAEDA

- Related to Patch #30241: Update nokogiri gem (~> 1.10.0) added

#7 - 2019-01-08 01:55 - Go MAEDA

- Blocked by Feature #30356: Drop Ruby 2.2 support added

#8 - 2019-01-08 12:50 - Go MAEDA

- Blocked by deleted (Feature #30356: Drop Ruby 2.2 support)

#9 - 2019-01-14 02:33 - Go MAEDA

- Related to Patch #30420: Update pg gem (~> 1.1.4) added

#10 - 2019-01-19 12:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#11 - 2019-06-03 02:56 - Go MAEDA

- Copied to Feature #31500: Ruby 2.7 support added

#12 - 2022-12-28 02:16 - Go MAEDA

- Related to Patch #38122: Remove Bundler from requirements  added
